<?php if(!defined('IN_GS')){ die('you cannot load this page directly.'); }
/****************************************************
* @File: 	functions.php
* @Package:	GetSimple
* @Action:	incod.ru ufopera
*****************************************************/

function getDataSubPage($slug) {
	global $pagesArray;
	$arr = array();
	foreach ($pagesArray as $page) {
		if(isset($page['parent']) AND $page['menuStatus'] == 'Y'  AND $page['private'] == ''  AND $page['parent'] == $slug) {
			$arr[$page['slug']] = $page;
		}
	}
	return $arr;
}


function simple_c_default_email() {
  $files = scandir(GSUSERSPATH);
  foreach ($files as $filename) {
    if (preg_match("#\.xml$#", $filename)) {
      $data = getXML(GSUSERSPATH . $filename);
      return trim($data->EMAIL) ;
    }
  }
  return "";
}

# functions
function inGetPageData($slug)
{
  $file = GSDATAPAGESPATH . $slug .'.xml';
  if (file_exists($file)) {
    return getXML($file);
  }
  return null;
}

# functions  ---
function inGetOtherData($slug)
{
  $file = GSDATAOTHERPATH . $slug .'.xml';
  if (file_exists($file)) {
    return getXML($file);
  }
  return null;
}

# functions Edit Page (multilanguage)
function inEditPage($classOpt = '', $val = 'Изменить') {
  if (is_logged_in()) {
  	// if admin
    global $GSADMIN;
    $url=get_site_url(false);
    $slug=get_page_slug(false);
    // if site multilingual
    if (function_exists('return_i18n_default_language')) {
    	global $language;
    	$lang = return_i18n_default_language();
    	if($language != $lang) $slug = $slug.'_'.$language;
		}
    return '<a class="'. $classOpt.'" href="'.$url.$GSADMIN.'/edit.php?id='.$slug.'" target="_blank">'.$val.'</a>';
  }
}

function temGetVarDump($var) {
  highlight_string("<?php\n\$var =\n" . var_export($var, true) . ";\n?>");
}

?>