<?php if(!defined('IN_GS')){ die('you cannot load this page directly.'); }
/****************************************************
*
* @File: 			template.php
* @Package:			GetSimple
* @Action:			W3-V10 theme for GetSimple CMS 
* @InCod-Cardinal-W3-33: iccw3_33
* @Theme 			https://GetSimple.InCod.ru/theme/
* @W3.CSS 4.12 	https://www.w3schools.com/w3css/

*****************************************************/
$page_slug = return_page_slug(false);

# Navbar
$barmenu = "";
$smallmenu = "";
foreach (menu_data() as $page) {
	if($page['menu_status']){
		$barmenu .= "<a class='w3-bar-item w3-button w3-hide-small w3-padding-large w3-hover-white page-".$page['slug']."' href='".$page['slug']."'>".$page['menu_text']."</a>";
		$smallmenu .= "<a class='w3-red w3-bar-item w3-button w3-padding-large page-".$page['slug']."' href='".$page['slug']."'>".$page['menu_text']."</a>";		
	}
}

$barmenu .= inEditPage('w3-bar-item w3-button w3-hide-small w3-padding-large w3-hover-white','Edit Page');

?>
<!DOCTYPE html>
<html lang="en">
<head>

	<meta http-equiv="content-type" content="text/html; charset=UTF-8">
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<!-- Site Title -->
	<title><?php get_page_clean_title(); ?> &lt; <?php get_site_name(); ?></title>
	<?php get_header(); ?>
	<meta name="robots" content="index, follow" />
	<link rel="stylesheet" type="text/css" href="<?php get_theme_url(); ?>/style.css" media="all" />

	<style>
	#page_content{font-size:120%;min-height: 600px;}#page_content img{max-width:100%;height:auto!important;}
	body,h1,h2,h3,h4,h5,h6 {font-family: "Lato", sans-serif}
	.w3-bar,h1,button {font-family: "Montserrat", sans-serif}
	</style>

</head>
<body id="<?php echo $page_slug ?>">


<!-- Navbar -->
<nav class="w3-top">
	<div class="w3-bar w3-red w3-card w3-left-align w3-large">
		<a class="w3-bar-item w3-button w3-hide-medium w3-hide-large w3-right  w3-hover-white w3-large w3-red" 
		href="javascript:void(0);" onclick="myFunction()" title="Toggle Navigation Menu"><i style="font-size:24px">&equiv;</i></a>
		<a href="<?php get_site_url(); ?>" class="w3-bar-item w3-button w3-padding-large w3-white"><?php get_site_name(); ?></a>
		<?php echo $barmenu ?>
	</div>
	<!-- Navbar on small screens -->
	<div id="navDemo" class="w3-bar-block w3-white w3-hide w3-hide-large w3-hide-medium w3-large w3-card">
		<?php echo $smallmenu ?>
	</div>
</nav>


<!-- Header -->
<header class="w3-container w3-red w3-center" style="padding:100px 16px">
  <h1 class="w3-margin w3-jumbo"><?php get_site_name(); ?></h1>
</header>

<!-- First Grid -->
<div class="w3-row-padding w3-padding-64 w3-container w3-auto">

	<div id="page_content" class="w3-auto w3-twothird w3-content" style="padding:0 2%">
		<h1><?php get_page_title() ?></h1>
		<?php get_page_content() ?> 
	</div>

	<div class="w3-auto w3-third" style="padding:0 4%">
		<?php get_component('sidebar') ?>
	</div>

</div>


<div class="w3-container w3-red w3-center">
	Published on &nbsp;<span><?php get_page_date('F jS, Y') ?></span>
</div>

<!-- Footer -->
<footer class="w3-container w3-center w3-black">  
	<div class="w3-padding-32">
		<dir class=""><?php get_component('tagline'); ?></dir>
		<dir class="">
			<?php get_site_credits() ?> + 
			<a href="https://getsimple.incod.ru/" target="_blank">InCod-Cardinal-W3-33</a>
		</dir>
		<?php get_footer(); ?>
	</div>
</footer>


<script>

// Used to toggle the menu on small screens when clicking on the menu button
function myFunction() {
  var x = document.getElementById("navDemo");
  if (x.className.indexOf("w3-show") == -1) {
    x.className += " w3-show";
  } else { 
    x.className = x.className.replace(" w3-show", "");
  }
}

function ButtonDropdownClick(id) {
	if (id.className.indexOf("w3-show") == -1) {
		id.className += " w3-show";
	} else { 
		id.className = id.className.replace(" w3-show", "");
	}
}

</script>


</body>
</html>
